net.dontdrinkandroot.persistence.entity

## Class LongIdEntity

- java.lang.Object
- - net.dontdrinkandroot.persistence.entity.AbstractEntity<Long>
  - - net.dontdrinkandroot.persistence.entity.LongIdEntity

All Implemented Interfaces:
  Serializable, Entity<Long>

    @MappedSuperclass
    public class LongIdEntity
    extends AbstractEntity<Long>

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `LongIdEntity()`
`` `LongIdEntity(Long id)`

### Method Summary

Methods
`Long` `getId()` Get the primary key of the entity.

### Methods inherited from class net.dontdrinkandroot.persistence.entity.AbstractEntity

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LongIdEntity

    protected LongIdEntity()

#### LongIdEntity

    public LongIdEntity(Long id)

### Method Detail

#### getId

    public Long getId()

Description copied from interface: `Entity`
Get the primary key of the entity.